Subject: Re: [v9, 6/6] fsl/fman: Add FMan MAC driver

From: Scott Wood <[email-masked]>
Date: Wed, 9 Dec 2015 11:07:13 -0600

On Wed, 2015-12-09 at 04:10 -0600, Bucur Madalin-Cristian-B32716 wrote:
> > -----Original Message-----
> > From: David Miller [mailto:[email-masked]]
> > 
> > From: Scott Wood <[email-masked]>
> > Date: Tue, 8 Dec 2015 16:44:38 -0600
> > 
> > > On Tue, 2015-12-08 at 14:18 -0600, Andy Fleming wrote:
> > > > On Thu, Dec 3, 2015 at 1:19 AM,  <[email-masked]> wrote:
> > > > > From: Igal Liberman <[email-masked]>
> > > > > 
> > > > > This patch adds the Ethernet MAC driver supporting the three
> > > > > different types of MACs: dTSEC, tGEC and mEMAC.
> > > > > 
> > > > > Signed-off-by: Igal Liberman <[email-masked]>
> > > > 
> > > > [...]
> > > > 
> > > > > +
> > > > > +MODULE_LICENSE("Dual BSD/GPL");
> > > > > +
> > > > > +MODULE_AUTHOR("Emil Medve <[email-masked]>");
> > > > 
> > > > I imagine this email address doesn't exist anymore, or won't soon.
> > > > This is also an issue in the ethernet driver (with my old address).
> > > > I'm not sure what the right approach is, but we shouldn't be putting
> > > > obsolete email addresses in the kernel.
> > > 
> > > I don't think a MODULE_AUTHOR tag makes sense for drivers like this that
> > had a
> > > lot of people work on them.  git history is better for giving credit in
> > such
> > > cases.
> > 
> > Agreed.
> 
> I've already removed the MODULE_AUTHOR tag from the dpaa_eth code, this will
> be removed as well. We are required to keep the Signed-off by: tags of the
> original authors for the patches and also were instructed to keep the
> original
> Freescale email addresses even if the patch authors have different email
> addresses now.

What does it mean to say that you're "keeping" the Signed-off-by when that
signoff was made on a very different patch and/or some smaller patch that got
squashed in?  You only need to include other people's signoff if you're
passing the patch on under section (c) of the DCO.  In this case you can use
section (a), and just write a sentence in the changelog giving any appropriate
credit to others.

-Scott